package com.fxy.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 蓝牙对象
 *
 * @author qin.guilin
 *
 */
public class BluesBean implements Parcelable {


    public String blue_ele_scale;

    public String blue_ele_scale_pin;

    public Integer reverse = 0 ;

    //连续次数 会作废
    public Integer continuous = 1 ;

    //记录日志
    public Integer is_record_log = 0 ;

    //是否清除重量
    public Integer is_clear_weight = 0;

    //方式
    public Integer way=1;

    public String blue_address="";



    @Override
    public String toString() {
        return "BluesBean{" +
                "blue_ele_scale=" + blue_ele_scale +
                ", blue_ele_scale_pin=" + blue_ele_scale_pin +
                ", reverse=" + reverse +
                ", continuous=" + continuous +
                ", is_record_log=" + is_record_log +
                ", is_clear_weight=" + is_clear_weight +
                ", way=" + way +
                ", blue_address=" + blue_address +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.blue_ele_scale);
        dest.writeString(this.blue_ele_scale_pin);
        dest.writeInt(this.reverse);
        dest.writeInt(this.continuous);
        dest.writeInt(this.is_record_log);
        dest.writeInt(this.is_clear_weight);
        dest.writeInt(this.way);
        dest.writeString(this.blue_address);
    }

    public BluesBean() {
    }

    protected BluesBean(Parcel in) {
        this.blue_ele_scale     = in.readString();
        this.blue_ele_scale_pin = in.readString();
        this.reverse    = in.readInt();
        this.continuous = in.readInt();
        this.is_record_log = in.readInt();
        this.is_clear_weight = in.readInt();
        this.way = in.readInt();
        this.blue_address = in.readString();
    }

    public static final Creator<BluesBean> CREATOR = new Creator<BluesBean>() {
        @Override
        public BluesBean createFromParcel(Parcel source) {
            return new BluesBean(source);
        }

        @Override
        public BluesBean[] newArray(int size) {
            return new BluesBean[size];
        }
    };

    public String getBlueEleScale() {
        return blue_ele_scale;
    }

    public String getBlueEleScalePin() {
        return blue_ele_scale_pin;
    }

    public String getBlueAddress() {
        return blue_address;
    }

    public void   setBlueAddress(String blue_address) {
        this.blue_address=blue_address;
    }

    public int getReverse() {
        return reverse;
    }

    public int getContinuous() {
        return continuous;
    }

    public Integer getIsRecordLog() {return is_record_log;}

    public Integer getIsClearWeight() {return is_clear_weight;}

    public Integer getWay() {return way;}
}
